public class Main_4_Comps_2_Procs_2_MaxRep {
public static void main(String[] args) {
try {
Architecture arch = new Architecture(4, 2);
arch.setProcessMemReq(1);
arch.setAvailableMem(200000);
arch.setProcessCPUReq(1);
arch.setAvailableCPU(100000);

arch.setComponentReliability(0, 0.9646551400382049);
arch.deployComponent(0, 1);
arch.setMaxReplicas(0, 1);
arch.setComponentMemUsage(0, 1);
arch.setComponentCPUUsage(0, 1);

arch.setComponentReliability(1, 0.9627513020895471);
arch.deployComponent(1, 1);
arch.setMaxReplicas(1, 1);
arch.setComponentMemUsage(1, 1);
arch.setComponentCPUUsage(1, 1);

arch.setComponentReliability(2, 0.9934988715351637);
arch.deployComponent(2, 1);
arch.setMaxReplicas(2, 1);
arch.setComponentMemUsage(2, 1);
arch.setComponentCPUUsage(2, 1);

arch.setComponentReliability(3, 0.9936408721937279);
arch.deployComponent(3, 0);
arch.setMaxReplicas(3, 1);
arch.setComponentMemUsage(3, 1);
arch.setComponentCPUUsage(3, 1);
double[][] opProfile = new double[5][5];
opProfile[0][1] = 1;
opProfile[2][1] = 1;
opProfile[3][1] = 1;

opProfile[1][2] = 0.21826888976221792;
opProfile[1][3] = 0.3305909907239335;
opProfile[1][4] = 0.4511401195138486;
arch.setOperationalProfile(opProfile);
arch.show();
long start = System.currentTimeMillis();
arch.optimizeArchitecture_New(opProfile, 99);
long elapsedTimeMillis = System.currentTimeMillis() - start;
System.out.println("Elapsed time : " + elapsedTimeMillis);
} catch (Exception ex) {
System.out.print(ex.toString());
}
}
}
