public class Main_4_Comps_4_Procs_2_MaxRep {
public static void main(String[] args) {
try {
Architecture arch = new Architecture(4, 4);
arch.setProcessMemReq(1);
arch.setAvailableMem(200000);
arch.setProcessCPUReq(1);
arch.setAvailableCPU(100000);

arch.setComponentReliability(0, 0.9715759913651397);
arch.deployComponent(0, 1);
arch.setMaxReplicas(0, 1);
arch.setComponentMemUsage(0, 1);
arch.setComponentCPUUsage(0, 1);

arch.setComponentReliability(1, 0.9710181612906961);
arch.deployComponent(1, 1);
arch.setMaxReplicas(1, 1);
arch.setComponentMemUsage(1, 1);
arch.setComponentCPUUsage(1, 1);

arch.setComponentReliability(2, 0.9689327602081788);
arch.deployComponent(2, 2);
arch.setMaxReplicas(2, 1);
arch.setComponentMemUsage(2, 1);
arch.setComponentCPUUsage(2, 1);

arch.setComponentReliability(3, 0.9808205875653893);
arch.deployComponent(3, 3);
arch.setMaxReplicas(3, 1);
arch.setComponentMemUsage(3, 1);
arch.setComponentCPUUsage(3, 1);
double[][] opProfile = new double[5][5];
opProfile[0][1] = 1;
opProfile[2][1] = 1;
opProfile[3][1] = 1;

opProfile[1][2] = 0.35810966240712605;
opProfile[1][3] = 0.36999072063611665;
opProfile[1][4] = 0.27189961695675735;
arch.setOperationalProfile(opProfile);
arch.show();
long start = System.currentTimeMillis();
arch.optimizeArchitecture_New(opProfile, 99);
long elapsedTimeMillis = System.currentTimeMillis() - start;
System.out.println("Elapsed time : " + elapsedTimeMillis);
} catch (Exception ex) {
System.out.print(ex.toString());
}
}
}
