public class Main_8_Comps_8_Procs_2_MaxRep {
public static void main(String[] args) {
try {
Architecture arch = new Architecture(8, 8);
arch.setProcessMemReq(1);
arch.setAvailableMem(200000);
arch.setProcessCPUReq(1);
arch.setAvailableCPU(100000);

arch.setComponentReliability(0, 0.9816224244236711);
arch.deployComponent(0, 0);
arch.setMaxReplicas(0, 1);
arch.setComponentMemUsage(0, 1);
arch.setComponentCPUUsage(0, 1);

arch.setComponentReliability(1, 0.9605102968651585);
arch.deployComponent(1, 2);
arch.setMaxReplicas(1, 1);
arch.setComponentMemUsage(1, 1);
arch.setComponentCPUUsage(1, 1);

arch.setComponentReliability(2, 0.9673846507721791);
arch.deployComponent(2, 2);
arch.setMaxReplicas(2, 1);
arch.setComponentMemUsage(2, 1);
arch.setComponentCPUUsage(2, 1);

arch.setComponentReliability(3, 0.9922943783120187);
arch.deployComponent(3, 6);
arch.setMaxReplicas(3, 1);
arch.setComponentMemUsage(3, 1);
arch.setComponentCPUUsage(3, 1);

arch.setComponentReliability(4, 0.9666297939795065);
arch.deployComponent(4, 4);
arch.setMaxReplicas(4, 1);
arch.setComponentMemUsage(4, 1);
arch.setComponentCPUUsage(4, 1);

arch.setComponentReliability(5, 0.9707138481411869);
arch.deployComponent(5, 1);
arch.setMaxReplicas(5, 1);
arch.setComponentMemUsage(5, 1);
arch.setComponentCPUUsage(5, 1);

arch.setComponentReliability(6, 0.971815072466966);
arch.deployComponent(6, 5);
arch.setMaxReplicas(6, 1);
arch.setComponentMemUsage(6, 1);
arch.setComponentCPUUsage(6, 1);

arch.setComponentReliability(7, 0.9987645850765385);
arch.deployComponent(7, 1);
arch.setMaxReplicas(7, 1);
arch.setComponentMemUsage(7, 1);
arch.setComponentCPUUsage(7, 1);
double[][] opProfile = new double[9][9];
opProfile[0][1] = 1;
opProfile[2][1] = 1;
opProfile[3][1] = 1;
opProfile[4][1] = 1;
opProfile[5][1] = 1;
opProfile[6][1] = 1;
opProfile[7][1] = 1;

opProfile[1][2] = 0.06315014705302278;
opProfile[1][3] = 0.1591219730312394;
opProfile[1][4] = 0.1389752459689412;
opProfile[1][5] = 0.06663989857074597;
opProfile[1][6] = 0.17515609807840965;
opProfile[1][7] = 0.0909516636226254;
opProfile[1][8] = 0.30600497367501556;
arch.setOperationalProfile(opProfile);
arch.show();
long start = System.currentTimeMillis();
arch.optimizeArchitecture_New(opProfile, 99);
long elapsedTimeMillis = System.currentTimeMillis() - start;
System.out.println("Elapsed time : " + elapsedTimeMillis);
} catch (Exception ex) {
System.out.print(ex.toString());
}
}
}
